Bug 1140222 - Review Request: perl-Scalar-Util-LooksLikeNumber - Access to looks_like_number() perl API function
Summary: Review Request: perl-Scalar-Util-LooksLikeNumber - Access to looks_like_numbe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1140223
TreeView+ depends on / blocked
 
Reported: 2014-09-10 14:04 UTC by Petr Šabata
Modified: 2014-09-25 14:21 UTC (History)
2 users (show)

Fixed In Version: perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-25 14:21:08 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2014-09-10 14:04:00 UTC
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Scalar-Util-LooksLikeNumber/perl-Scalar-Util-LooksLikeNumber.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Scalar-Util-LooksLikeNumber/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc20.src.rpm
Description:
Scalar::Util::LooksLikeNumber contains looks_like_number() like
Scalar::Util's looks_like_number(), except it returns the raw value from
the C function. Scalar::Util used to do this also, but it returns a
booleanized value since 1.39.
Fedora Account System Username: psabata

Comment 1 Petr Pisar 2014-09-10 15:24:01 UTC
URL and Source0 are usable Ok.
Source archive is original (SHA-256: 0f6ff3bbbc8f1e2f10c70d0b99cf04c90f8869973722035f3c8cd0b8adc4b48a). Ok.
Summary verified from lib/Scalar/Util/LooksLikeNumber.pm. Ok.
Description verified from lib/Scalar/Util/LooksLikeNumber.pm. Ok.
Copyright verified from ppport.h, LooksLikeNumber.xs, lib/Scalar/Util/LooksLikeNumber.pm. Ok.
XS code presents, architecture specific BuildArch is Ok.
All build-requires are specified. Ok.
All tests pass. Ok.

$ rpmlint perl-Scalar-Util-LooksLikeNumber.spec ../SRPMS/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc22.src.rpm ../RPMS/x86_64/perl-Scalar-Util-LooksLikeNumber-*
perl-Scalar-Util-LooksLikeNumber.src: W: spelling-error %description -l en_US booleanized -> Boolean
perl-Scalar-Util-LooksLikeNumber.x86_64: W: spelling-error %description -l en_US booleanized -> Boolean
perl-Scalar-Util-LooksLikeNumber-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package perl-Scalar-Util-LooksLikeNumber.
3 packages and 1 specfiles checked; 1 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc22.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/Scalar
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/Scalar/Util
-rw-r--r--    1 root    root                     1051 Jun 30 16:45 /usr/lib64/perl5/vendor_perl/Scalar/Util/LooksLikeNumber.pm
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/auto/Scalar
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/auto/Scalar/Util
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/auto/Scalar/Util/LooksLikeNumber
-rwxr-xr-x    1 root    root                    11144 Sep 10 17:14 /usr/lib64/perl5/vendor_perl/auto/Scalar/Util/LooksLikeNumber/LooksLikeNumber.so
drwxr-xr-x    2 root    root                        0 Sep 10 17:14 /usr/share/doc/perl-Scalar-Util-LooksLikeNumber
-rw-r--r--    1 root    root                       89 Jun 30 16:40 /usr/share/doc/perl-Scalar-Util-LooksLikeNumber/Changes
-rw-r--r--    1 root    root                      235 Jun 30 16:29 /usr/share/doc/perl-Scalar-Util-LooksLikeNumber/README
-rw-r--r--    1 root    root                     2203 Sep 10 17:14 /usr/share/man/man3/Scalar::Util::LooksLikeNumber.3pm.gz
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc22.x86_64.rpm | sort -f | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.20()(64bit)
      1 perl(:MODULE_COMPAT_5.20.0)
      1 perl(Exporter)
      1 perl(strict)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/x86_64/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc22.x86_64.rpm | sort -f | uniq -c
      1 perl(Scalar::Util::LooksLikeNumber) = 1.39.1
      1 perl-Scalar-Util-LooksLikeNumber = 1.39.1-1.fc22
      1 perl-Scalar-Util-LooksLikeNumber(x86-64) = 1.39.1-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc22.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7564819). Ok.

Package is in line with Fedora and Perl packaging guidelines.
Resolution: Package APPROVED.

Comment 2 Petr Šabata 2014-09-10 15:35:20 UTC
New Package SCM Request
=======================
Package Name: perl-Scalar-Util-LooksLikeNumber
Short Description: Access to looks_like_number() perl API function
Upstream URL: http://search.cpan.org/dist/Scalar-Util-LooksLikeNumber/
Owners: psabata jplesnik ppisar
Branches: f21
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-09-10 16:48:05 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-09-11 08:24:42 UTC
perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc21

Comment 5 Petr Šabata 2014-09-11 08:27:55 UTC
Thanks!

Comment 6 Fedora Update System 2014-09-23 04:41:00 UTC
perl-Scalar-Util-LooksLikeNumber-1.39.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.